Alteryx Server

Definitive answers from Server experts.

Public Gallery Support for TLS 1.0 / 1.1 Deprecated

Alteryx
Alteryx
Created

Public Gallery Support for TLS 1.0 / 1.1 Deprecated

 

Public Gallery support for TLS 1.0 / 1.1 has been removed. The background for this is that Industry support for TLS 1.0 and 1.1 is being deprecated due to known security vulnerabilities. This will affect users of Designer 11.3 and earlier.

 

Environment

  • Product - Alteryx Designer with access to Public Gallery
    • Designer Version 11.3 or earlier

Impact on users on Designer 11.3 and earlier

 

Users on Designer 11.3 and earlier will not be able to connect to Public Gallery and see instead the below error message:

Could not connect to server, please try again.

connectToServer.jpg

 

Additionally, users of Designer 11.3 and earlier will will no longer be able to license online. This is due to legacy licensing requiring communication with Gallery via SSL/TLS. Instead these users will have to perform offline activation or upgrade to 11.5+.

 

Additional Resources